TMVIEW(1)

NAME
tmview, dvisvga, dvifb, dvilx - view DVI files on SVGA, framebuffer devices or X Window displays

SYNOPSIS
dvi[svga|fb|lx] [-?] [-h<marg>] [-v<marg>] [-p<width>x<height>] [-r<xres>x<yres>] [-f<path>] [-n<name>] [-t<path>] [-q<path>] [-d<width>x<height>] [-m<mag>] [-k<leftmarg>,<rightmarg>,<uppermarg>,<lowermarg>] [-s<startup-file>] [file[.[dvi]]

DESCRIPTION
tmview is a screen-previewer for .dvi-files generated by TeX. It lets you see what your printed output will look like. You can choose between a black-and-white representation and greyscaling. You can choose an arbitrary zoomfactor. You can set marks to measure distances. You can search for textstrings. tmview does not support pxl-files since I think they are prehistoric. tmview ignores almost all special-commands, sorry lads. There is basic support for .vf-files. If there occur any problems with this, use dvicopy to get a .vf-free .dvi-file. tmview tries its best with included .eps-figures. dvisvga is a version of tmview based on svgalib for use with (s)vga equipment. dvifb is a version of tmview writing on the "/dev/fb0" framebuffer devive. dvilx goes with the X Window System.

Try dvisvga/dvifb/dvilx -? to get a complete list of command-line options and their default-values.

  ONLINEHELP
Pressing <?> twice shows the onlinehelp and gives a list of available commands. However, you may check the cursor-keys and <+>/<-> first ... or use <q> to quit.

  IMPORTANT
All options have to be followed IMMEDIATELY by their arguments, NO spaces must be inserted !!!

  OPTIONS

-h (horizontal-offset)
    A lot of printer drivers do a horizontal offset of 1 inch. If yours does as well, you should use -h25.4. The length following -h must be given in mm. Default: "25.4"

-v (vertical-offset)
    A lot of printer drivers do a vertival offset of 1 inch. If yours does as well, you should use -v25.4. The length following -v must be given in mm. Default: "25.4"

-p (Paper-size)
    Tells tmview width and height of the paper you are using. The width is given first and both width and height are given in mm. Width and height are seperated by an "x". Default: "210.0x297.0" (german DIN A4)

-r (Resolution)
    Tells tmview what kind of pk-files to use. The horizontal resolution is given first and both horizontal and vertical resolution are given in dpi (dots per inch). The two values are seperated by an "x". Saying -r600x600 means tmview will use fonts which were generated for a 600-dpi-printer. As tmview assumes that pixels on the screen are square, different values for horizontal and vertical resolution will result in a distorted image. Always make sure the desired pk-files are available. The chosen resolution determines the (maximum) size of the representation. Default: "300x300"

-f (Font-path)
    A list of paths telling tmview where to look for the pk-files. The items in this list have to be seperated by :'s. The given list is executed from left to right. If an item ends with // all subdirectories will be scanned too. This is programed in a very odd way, so it takes lots of time. You should place such items at the end of the list. Defaults: "./:/usr/lib/texmf/fonts//".

-n (Name-of-the-font-file)
    If your dvi-file tells tmview to use a font called "thisnthatfont" and tmview was told to use a resolution of "123" dpi, tmview has to know how the desired file is named. In the string following "-n" the following replacements are made:

    xx    replaced by
    @N    thisnthatfont
    @K    thisntha
            (this is @N reduced to 8 char. (MS-DOG !))
    @M    123
            (the resolution)
    @R    615
            (this is @M*5, intended for magnified 200
             dpi fonts used instead of 300 dpi fonts)

Defaults: "@N.@Mpk"

-t (tfm-path)
    A list of paths telling tmview where to look for the tfm-files. The items in this list have to be separated by :'s. The given list is executed from left to right. tfm-files are used, to figure out the encoding. Therefore they are essential for searching text to work. Defaults: "./:usr/lib/texmf/fonts//".

-q (vf-path)
    A list of paths where to look for vf-files. Defaults: "./:usr/lib/texmf/fonts//".

-d (Display)
    Size desired resolution of your display (dvisvga). The width is given first and both width and height are given in pixels. Width and height are seperated by an "x". Using svgalib you may choose a resulution supported by your version with respect to your hardware. dvisvga prefers 256-color-modes. Hence, to get more than 320x200 an super vga chipset supported by svgalib is required, standard vga wont do. If the desired resolution is not available, dvisvga falls back to 640x480 at 256 colors, then to 640x480 at 16 colors. The framebuffer version dvifb ignores this option. Use the program fbset to set up the framebuffer device before starting tmview. Using the X Window System (dvisvga) \verb+-d+ will suggest the size of the tmview window. However, you may alternatively use the resource \verb+DviLX.geometry+ or the standard geometry option \verb*-geometry widthxheigth+x+y*. Defaults: (dvisvga) "640x480"

-m (magnification)
    If you want to magnify by a factor n you have to specify n*1000 as an argument to -m, e.g. -m2000 means all lengths will be doubled. NOTE: tmview magnifies according to the origin of the dvi-coordinates, which is -in most cases- NOT the upper left corner of the paper. Always make sure the desired pk-files are available. -m doesn't magnify the paper, so if you wish a larger image use the + and - keys or the -r option. Default: get magnification from dvi-file.

-k (kannot-print-any-further)
    Most printers stop printing if they are too close at the papers edge (some might even do strange things). The -k option describes the printable area, e.g. saying -k1.0,2.0,3.0,4.0 means that your printer can print as close as 1 mm to the left 2 mm to the right 3 mm to the upper 4 mm to the lower edge of the paper. These values are used to draw a frame indicating the printable area. All four values have to be given and they have to be seperated by ",". All lengths are given in mm. Default: "4.0,4.0,4.0,12.0"

-s (startup-file)
    tmview reads default values for the commandline-options, a list of visited dvi-files and lots of other interna from a system startup-file, typically "/etc/dvisvga", "/etc/dvifb" or "/etc/dvilx". After this a user startup-file is read. The name of the latter can be specified directly after the -s. When quitting tmview, the current options etc. will be saved in the user startup-file. If this is not desired, the user startup-file has to be set read-only !! However, tmview will never write to the system startup-file. The default the user start-upfile is "~/.dvisvga", "~/.dvifb" or "~/.dvilx".

COPYING

The code of tmview uses some rather basic ideas stolen from xdvi. This includes some few lines of code just copied. The author of xdvi is Eric Cooper. In a similar kind, tmview's code depends on some lines of dvidjc, written by Wolfgang R.Mueller. The hyper-TeX related parts are taken from xhdvi, written by Arthur Smith. The sources of the above can be found on the CTAN. So by having mentioned the authors here, and giving a reference how to get the original sources, this should not be a violation of their copyrights.

As far as I am concerned, tmview may be modified or distributed without any restrictions. tmview is distributed in the hope that it will be useful, but without any warranty.

AUTHOR
(C)opyright 1995 Thomas Moor (QElis@aol.com)